#include<stdio.h>
int ss(int arr[],int a,int b){
for (int i = a; i < b-1; i++)
{
    if (arr[i - 1] > arr[i])
    {
    return 1;
    }
}
return 0;
}
int main(){
	
	int n;
	scanf("%d",&n);
	
	int a[n];
	for(int i=0;i<n;i++){
		scanf("%d",&a[i]);
	}
	
	int q;
	scanf("%lld",&q);
	
	int l[q],r[q];
	for(int i=0;i<q;i++){
		scanf("%lld %lld",&l[i],&r[i]);
	}
	
	int swp;
	for(int i=0;i<q;i++){
		
		swp=0;
		
			for(int k=l[i]-1;k<r[i]-1-1;k++){
			if(ss(a,l[i]-1,r[i]-1)==0){
				break;
			}
			if(a[k]>a[k+1])swp++;
			if(swp>1)break;
			
		}
		
		if(swp>1)printf("NE\n");
		else printf("DA\n");
	}
}